default = """
[general]
desc="Default configuration for paperboat"
steps = ["imageloader", "source_imageizer", "segmentation","layout" , "segmentation_pxml_gen"] #, "calamari", "json_export"]

[system]
cuda_devices=""
auto_cuda = true

[step.segmentation]
    scale_area = 1000000
    repo_model = "model_136.torch"

[step.calamari]
    repo_model = "0.ckpt.json"

[step.pagexml_export]

[step.json_export]

[step.segmentation_pxml_gen]
mode = "default"

# empty configs
[step.imageloader]
[step.source_imageizer]
[step.layout]
"""
default_baseline_layout = """
[general]
desc="Just Baseline Detection and Layout with OCR"
steps = ["imageloader", "source_imageizer", "segmentation","layout" , "segmentation_pxml_gen"]

[system]
cuda_devices=""
auto_cuda = true

[step.segmentation]
    scale_area = 1000000
    repo_model = "model_136.torch"


[step.segmentation_pxml_gen]
mode = "default"

# empty configs
[step.imageloader]
[step.source_imageizer]
[step.layout]
layout_method = "full"
fix_line_endings = true

"""
default_ocr = """
[general]
desc="Default configuration for paperboat"
steps = ["imageloader", "source_imageizer", "segmentation","layout" , "segmentation_pxml_gen", "calamari"]

[system]
cuda_devices=""
auto_cuda = true

[step.segmentation]
    scale_area = 1000000
    repo_model = "model_136.torch"

[step.calamari]
    repo_model = "camgen1.ckpt.json"

[step.pagexml_export]

[step.json_export]

[step.segmentation_pxml_gen]
mode = "default"

# empty configs
[step.imageloader]
[step.source_imageizer]
[step.layout]
"""

format1 = """
[general]
desc="Export to first version of interchange format"
steps = ["imageloader", "source_imageizer", "segmentation","layout" , "segmentation_pxml_gen", "calamari"]

[system]
cuda_devices=""
auto_cuda = true

[step.segmentation]
    scale_area = 1000000
    repo_model = "model_136.torch"

[step.calamari]
    repo_model = "camgen1.ckpt.json"

[step.pagexml_export]

[step.json_export]

[step.segmentation_pxml_gen]
mode = "default"

# empty configs
[step.imageloader]
[step.source_imageizer]
[step.layout]
"""

modern_ocr = """
[general]
desc="Default configuration for paperboat"
steps = ["imageloader", "source_imageizer", "segmentation","layout" , "segmentation_pxml_gen", "calamari"]

[system]
cuda_devices=""
auto_cuda = true

[step.segmentation]
    scale_area = 1000000
    repo_model = "model_136.torch"

[step.calamari]
    repo_model = "uw30.ckpt.json"

[step.pagexml_export]

[step.json_export]

[step.segmentation_pxml_gen]
mode = "default"

# empty configs
[step.imageloader]
[step.source_imageizer]
[step.layout]
"""