from regioneval.utility import PerformanceCounter

class PipelineMetrics:
    def __init__(self):
        self.perf_count = PerformanceCounter.make_stats()

    def get_counter(self, step):
        name = step.__class__.__name__

        return PerformanceCounter(name, self.perf_count)

    def print_metrics(self):
        PerformanceCounter.report(self.perf_count)