import toml

from paperboat.configuration.presets import default, default_ocr
from paperboat.processing import PipelineBuilder
from paperboat.pipeline.preprocessing import *
from paperboat.pipeline.segmentation import *
from paperboat.pipeline.ocr import *


def main():
    pb = PipelineBuilder.from_configuration(toml.loads(default_ocr))
    pipeline = pb.get_pipeline()
    output = pipeline.run("/home/norbert/share/BaselineOCREval/ds/Troja/input/0262.jpg")


def test_with_calamari():
    jq = toml.loads(default_ocr)
    #jq["step"]["calamari"]["model_path"] = "/tmp/fraktur_historical/0.ckpt.json"
    pb = PipelineBuilder.from_configuration(toml.loads(default_ocr))
    pipeline = pb.get_pipeline()
    output = pipeline.run("/home/norbert/share/BaselineOCREval/ds/Troja/input/0262.jpg")


def test_image_loader_pb_build():
    subcls = Step.__subclasses__()
    a = 1
    pb = PipelineBuilder.from_configuration(toml.loads(default))
    pipeline = pb.get_pipeline()
    output = pipeline.run("/home/norbert/share/BaselineOCREval/ds/Troja/input/0262.jpg")
    a = 1

if __name__ == "__main__":
    main()
